## libmdn-perl 2.4-2

=== ja/Makefile ===
# $Id: Makefile,v 1.3 2001/08/07 01:43:57 m-kasahr Exp $
#
# Copyright (c) 2000 Japan Network Information Center.  All rights reserved.
#  
# By using this file, you agree to the terms and conditions set forth bellow.
# 
#                      LICENSE TERMS AND CONDITIONS 
# 
# The following License Terms and Conditions apply, unless a different
# license is obtained from Japan Network Information Center ("JPNIC"),
# a Japanese association, Fuundo Bldg., 1-2 Kanda Ogawamachi, Chiyoda-ku,
# Tokyo, Japan.
# 
# 1. Use, Modification and Redistribution (including distribution of any
#    modified or derived work) in source and/or binary forms is permitted
#    under this License Terms and Conditions.
# 
# 2. Redistribution of source code must retain the copyright notices as they
#    appear in each source code file, this License Terms and Conditions.
# 
# 3. Redistribution in binary form must reproduce the Copyright Notice,
#    this License Terms and Conditions, in the documentation and/or other
#    materials provided with the distribution.  For the purposes of binary
#    distribution the "Copyright Notice" refers to the following language:
#    "Copyright (c) Japan Network Information Center.  All rights reserved."
# 
# 4. Neither the name of JPNIC may be used to endorse or promote products
#    derived from this Software without specific prior written approval of
#    JPNIC.
# 
# 5. Disclaimer/Limitation of Liability: THIS SOFTWARE IS PROVIDED BY JPNIC
#    "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#    LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
#    PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL JPNIC BE LIABLE
#    FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
#    CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
#    SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
#    BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
#    WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
#    OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
#    ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
# 
# 6. Indemnification by Licensee
#    Any person or entities using and/or redistributing this Software under
#    this License Terms and Conditions shall defend indemnify and hold
#    harmless JPNIC from and against any and all judgements damages,
#    expenses, settlement liabilities, cost and other liabilities of any
#    kind as a result of use and redistribution of this Software or any
#    claim, suite, action, litigation or proceeding by any third party
#    arising out of or relates to this License Terms and Conditions.
# 
# 7. Governing Law, Jurisdiction and Venue
#    This License Terms and Conditions shall be governed by and and
#    construed in accordance with the law of Japan. Any person or entities
#    using and/or redistributing this Software under this License Terms and
#    Conditions hereby agrees and consent to the personal and exclusive
#    jurisdiction and venue of Tokyo District Court of Japan.
#

SHELL = /bin/sh

POD2HTML  = pod2html
POD2LATEX = pod2latex
POD2MAN   = pod2man
POD2TEXT  = pod2text

POD_FILES   = API.pod  Log.pod  ResConf.pod  UTF8.pod
HTML_FILES  = API.html Log.html ResConf.html UTF8.html
LATEX_FILES = API.tex  Log.tex  ResConf.tex  UTF8.tex
MAN_FILES   = API.3    Log.3    ResConf.3    UTF8.3  
TEXT_FILES  = API.txt  Log.txt  ResConf.txt  UTF8.txt

.SUFFIXES:
.SUFFIXES: .pod .html .tex .3 .txt

.pod.html:
	-rm -f $@
	$(POD2HTML) $< > $@

.pod.tex:
	-rm -f $@
	$(POD2LATEX) $< > $@

.pod.3:
	-rm -f $@
	$(POD2MAN) --section=3 $< > $@

.pod.txt:
	-rm -f $@
	$(POD2TEXT) $< > $@

all: html latex man text
html: $(HTML_FILES)
latex: $(LATEX_FILES)
man: $(MAN_FILES)
text: $(TEXT_FILES)

clean:
	-rm -f $(HTML_FILES) $(LATEX_FILES) $(MAN_FILES) $(TEXT_FILES)
	-rm -f pod2htm*
