=== debian/changelog ===
libmdn-perl (2.4-2) unstable; urgency=low

  * Updated for perl-5.8. 

 -- Mikael Andersson <mikan@debian.org>  Mon, 26 Aug 2002 12:02:17 +0200

libmdn-perl (2.4-1) unstable; urgency=low

  * Initial Release.
  
  * Close ITP (closes: #156064)	

 -- Mikael Andersson <mikan@debian.org>  Mon, 12 Aug 2002 11:01:22 +0200
