=== debian/control ===
Source: libmdn-perl
Section: interpreters
Priority: optional
Build-Depends: debhelper (>= 3.0.5), perl (>= 5.8.0-7), libmdnkit-dev (>= 2.4)
Maintainer: Mikael Andersson <mikan@debian.org>
Standards-Version: 3.5.1

Package: libmdn-perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}
Description:  Perl interface to domain name conversion methods of libmdn
 MDN::ResConf provides a Perl object interface to domain name
 conversion methods of libmdn, the multilingual domain name library
 included in the mDNkit. And in the debian package libmdnkit.
 .
 This module provides low-level conversion interface to the library.
